| Home | Libraries | People | FAQ | More

##### operator!= (2 of 2 overloads)

Return true if two storage pointers point to different memory resources.

###### Synopsis

Defined in header `<boost/json/storage_ptr.hpp>`

    bool
    operator!=(
        storage_ptr const& lhs,
        storage_ptr const& rhs);

###### Description

This function returns `true` if the `memory_resource` objects pointed to by `lhs` and `rhs` have different addresses.

Convenience header `<boost/json.hpp>`